#include "rect_pipeline.h"

#include "core/renderer/renderer.h"

bool rect_pipeline::init() {
    param_buffer = aorii::get_renderer_raw()->create_buffer(buffer_type::constant, sizeof(param), 1);
    return pipeline::init();
}

void rect_pipeline::destroy() {
    pipeline::destroy();
    aorii::get_renderer_raw()->destroy_buffer(param_buffer);
}

void rect_pipeline::set_param(const param& in_param) {
    param_buffer->set_data(in_param);
}
